Skip to main content
GET
/
v1
/
contacts
Get administration contacts
curl --request GET \
  --url https://api.paytsoftware.com/v1/contacts \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "<string>",
      "contact_identifier": "<string>",
      "call_phone_number": "<string>",
      "debtor_numbers": [
        "<string>"
      ],
      "default_email_address": "<string>",
      "firstname": "<string>",
      "gender": "<string>",
      "infix": "<string>",
      "invoice_email_address": "<string>",
      "invoice_cc_email_address": "<string>",
      "invoice_bcc_email_address": "<string>",
      "lastname": "<string>",
      "middlename": "<string>",
      "postal_address_street_1": "<string>",
      "postal_address_street_2": "<string>",
      "postal_address_postal_code": "<string>",
      "postal_address_city": "<string>",
      "postal_address_country_code": "<string>",
      "postal_address_region": "<string>",
      "prefix": "<string>",
      "reminder_email_address": "<string>",
      "reminder_cc_email_address": "<string>",
      "reminder_bcc_email_address": "<string>",
      "sms_phone_number": "<string>",
      "validation_errors": {},
      "updated_at": "2023-11-07T05:31:56Z"
    }
  ],
  "pagination": {
    "cursor": "<string>"
  }
}

Authorizations

Authorization
string
header
required

OAuth2 access token or static API token. See Authorization for how to obtain one.

Query Parameters

administration_id
string
required

Administration identifier

ids
string

Filter contacts with a comma separated list of internal ids

contact_identifiers
string

Filter contacts with a comma separated list of contact identifiers from your accounting software

debtor_numbers
string

Filter contacts with a comma separated list of debtor numbers

updated_after
string<date-time>

ISO8601 UTC Timestamp to filter records updated after it

fields
object

JSON object defining fields to receive (e.g {"only": ["field1", {"field2": ["field3"]}]})

cursor
string

The record identifier after which to start the page

per_page
integer<int32>
default:100

How many records will be returned per page, (1..500), defaults to 100

Required range: 1 <= x <= 500

Response

Paginated list of contacts

CustomerApi_ContactsPageEntity model

data
object[]
required

Contact

pagination
object

Pagination details

Last modified on June 12, 2026